import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Button } from '@antmjs/vantui';
import { putTaIssue } from '@/services/taissue';
import { warn } from '@/utils/message';
import style from './style.module.less';

export default (props) => {

  const { issue, formData } = props;

  const [loading, setLoading] = React.useState(false);
  
  // 新增问题单
  const onSubmit = () => {
    try {
      warn(!formData.addr, '请填写地址')
      warn(!formData.locId, '请选择点位')
      warn(!formData.content, '请填写问题描述')
      warn(!formData.typeId, '请选择问题分类')
      warn(!formData.attachList || formData.attachList.length < 1, '请上传照片')
    } catch (e) {
      return;
    }

    setLoading(true)
    putTaIssue(issue.issueId, { ...issue, formData }).then(() => {
      setLoading(false);
      Taro.navigateBack({delta: 1});
    }).catch(() => {
      setLoading(false);
    })
  }
  
  return (
    <View class={style['assigned-btn-wrapper']}>
      <View>
        <Button square plain type="danger" loading={loading} onClick={onSubmit}>删除</Button>
      </View>
      <View>
        <Button block square plain hairline type="info" loading={loading} onClick={onSubmit}>打回</Button>
      </View>
      <View>          
        <Button block square type="primary" loading={loading} onClick={onSubmit}>交办</Button>
      </View>
    </View>
  )
}
