import React from 'react';
import Taro from '@tarojs/taro';
import { View, RichText } from '@tarojs/components';
import { Button, Notify, Field, Cell, CellGroup } from '@antmjs/vantui';
import Page from '@/layouts/index';
import Map from '@/components/map';
import Uploader from '@/components/Uploader/index';
import { ROLE_INSPECTOR } from '@/utils/user';
import mapIcon from '@/assets/icons/marker.png';
import { getTaIssueById } from '@/services/taissue';
import IssueDetail from '../components/Issue';
import style from './style.module.less';

export default (props) => {

  const router = Taro.useRouter();
  const { id } = router.params;
  
  const [issue, setIssue] = React.useState(false);
  const [loading, setLoading] = React.useState(false);

  // const [
  //   content,
  //   bizStatus
  // ] = React.useMemo(() => {
  //   if (!formData || !formData.issueId) return [];

  //   return [
  //     (formData.content || '').replace('\r\n', '<br>').replace('\n', '<br>'),
  //     getIssueStatus(formData).label,
  //   ]
  // }, [formData])

  React.useEffect(() => {
    if (id) {
      setLoading(true)
      getTaIssueById(id).then(res => {
        setLoading(false);
        setIssue(res);
      }).catch(() => {
        setLoading(false);
      });
    }
  }, [id]);

  return (
    <Page roles={[ROLE_INSPECTOR]} loading={loading}>
      <IssueDetail readOnly issue={issue} />
    </Page>
  )
}
