import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Tab, Tabs } from '@antmjs/vantui';
import Page from '@/layouts/index';
import PowerList from '@/components/PowerList';
import { getTaIssue } from '@/services/taissue';
import { ROLE_INSPECTOR } from '@/utils/user';
import Card from '../components/Card';

export default (props) => {

  const onClick = (item, act) => {
    if (act) {
      Taro.navigateTo({
        url: `/pages/issue/detail/index?id=${item.issueId}&act=${act}`
      })
    } else {
      Taro.navigateTo({
        url: `/pages/issue/detail/index?id=${item.issueId}`
      })
    }
  }
  
  return (
    <Page roles={[ROLE_INSPECTOR]}>
      <Tabs sticky>
        <Tab title="全部">
          <PowerList
            request={getTaIssue}
            params={{mine: true}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item, 'assigned')} />
            )}
          />
        </Tab>
        <Tab title="未交办">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'start', mine: true}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已交办">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'start', mine: true}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已办结">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'end', mine: true}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已逾期">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'expired', mine: true}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已打回">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'reject', mine: true}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
      </Tabs>
    </Page>
  )
}
